---------------------
PatchSet 4696 
Date: 2007/06/04 05:44:35
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Apply fix for bug 1968

Members: 
	src/ACLIP.cc:1.8.2.29->1.8.2.30 
	src/dns_internal.cc:1.15.6.22->1.15.6.23 

Index: squid3/src/ACLIP.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLIP.cc,v
retrieving revision 1.8.2.29
retrieving revision 1.8.2.30
diff -u -r1.8.2.29 -r1.8.2.30
--- squid3/src/ACLIP.cc	3 Jun 2007 04:48:40 -0000	1.8.2.29
+++ squid3/src/ACLIP.cc	4 Jun 2007 05:44:35 -0000	1.8.2.30
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLIP.cc,v 1.8.2.29 2007/06/03 04:48:40 amosjeffries Exp $
+ * $Id: ACLIP.cc,v 1.8.2.30 2007/06/04 05:44:35 amosjeffries Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -304,7 +304,7 @@
         IPAddress *prev_addr = NULL;
 
         getaddrinfo(l_addr1,NULL,NULL,&hp);
-        if (hp  == NULL) {
+        if (hp == NULL) {
             debugs(28, 0, "aclParseIpData: Bad host/IP: '" << t << "'");
             self_destruct();
         }
Index: squid3/src/dns_internal.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/dns_internal.cc,v
retrieving revision 1.15.6.22
retrieving revision 1.15.6.23
diff -u -r1.15.6.22 -r1.15.6.23
--- squid3/src/dns_internal.cc	30 May 2007 05:06:07 -0000	1.15.6.22
+++ squid3/src/dns_internal.cc	4 Jun 2007 05:44:35 -0000	1.15.6.23
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns_internal.cc,v 1.15.6.22 2007/05/30 05:06:07 amosjeffries Exp $
+ * $Id: dns_internal.cc,v 1.15.6.23 2007/06/04 05:44:35 amosjeffries Exp $
  *
  * DEBUG: section 78    DNS lookups; interacts with lib/rfc1035.c
  * AUTHOR: Duane Wessels
@@ -966,6 +966,14 @@
             }
 
             rfc1035MessageDestroy(message);
+
+            /* FIX BUG 1968: Unlink previously linked q->hash */
+            /* previously susceptable to infinite loop testing dead hash entries */
+            if (q->hash.key) {
+                hash_remove_link(idns_lookup_hash, &q->hash);
+                q->hash.key = NULL;
+            }
+
             q->start_t = current_time;
             q->id = idnsQueryID();
             rfc1035SetQueryID(q->buf, q->id);
